/************************************************************************
 * EPP RTK C++
 * Copyright (C) 2001, 2002 The Global Name Registry, Limited 
 * 
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact information:  epprtk@gnr.com
 *
 *                       EPP RTK
 *                       The Global Name Registry, Limited
 *                       125 High Holborn
 *                       London WC1V 6QA
 *                       United Kingdom
 ************************************************************************/

/* $Header: /cvsroot/epp-rtk/epp-rtk/c++/src/data/epp_MessageQueue.cc,v 1.3 2003/07/18 20:21:19 tubadanm Exp $ */

/** @file epp_MessageQueue.cc
 *  @brief Definition of epp_MessageQueue and epp_MessageQueue_ref
 *  @author Daniel Manley
 */

#include "epp_MessageQueue.h"

using namespace eppobject::epp;
using namespace std;

ostream& eppobject::epp::operator<<(ostream &stream, const epp_MessageQueue_ref & msgq) {
    return stream << *msgq;
}

ostream& eppobject::epp::operator<<(ostream &stream, const epp_MessageQueue & msgq) {
    stream << "m_count ["<<*msgq.m_count<<"] m_queue_date ["<<*msgq.m_queue_date<<"] m_msg ["<<*msgq.m_msg<<"] m_id ["<<*msgq.m_id<<"]";
    return stream;
}

